umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Variables
listpopupmenu.cpp File Reference
`#include "listpopupmenu.h"`
`#include "activitywidget.h"`
`#include "associationline.h"`
`#include "associationwidget.h"`
`#include "category.h"`
`#include "classifier.h"`
`#include "classifierwidget.h"`
`#include "combinedfragmentwidget.h"`
`#include "debug_utils.h"`
`#include "floatingtextwidget.h"`
`#include "folder.h"`
`#include "forkjoinwidget.h"`
`#include "layoutgenerator.h"`
`#include "model_utils.h"`
`#include "objectnodewidget.h"`
`#include "objectwidget.h"`
`#include "notewidget.h"`
`#include "pinportbase.h"`
`#include "preconditionwidget.h"`
`#include "signalwidget.h"`
`#include "statewidget.h"`
`#include "uml.h"`
`#include "umldoc.h"`
`#include "umlscene.h"`
`#include "umlview.h"`
`#include "umllistview.h"`
`#include "umllistviewitem.h"`
`#include "widget_utils.h"`
`#include "widgetbase.h"`
`#include <KLocalizedString>`
`#include <kactioncollection.h>`

## Classes
class | DebugMenu
class | ListPopupMenuPrivate

## Macros
#define | DEBUG_AddAction(m) d->debugActions.append(DebugMenu(m))
#define | DEBUG_StartMenu(m) d->debugActions.append(DebugMenu(m->title() + QStringLiteral(" - start")))
#define | DEBUG_EndMenu(m) d->debugActions.append(DebugMenu(m->title() + QStringLiteral(" - end")))
#define | LPMISI(IT, TXT) m_actions[m] = menu->addAction(Icon_Utils::SmallIcon(Icon_Utils::IT), TXT)
#define | LPMIBI(IT, TXT) m_actions[m] = menu->addAction(Icon_Utils::BarIcon(Icon_Utils::IT), TXT)

## Variables
static const bool | CHECKABLE = true

## Macro Definition Documentation

## ◆ DEBUG_AddAction

#define DEBUG_AddAction | ( |  | m | ) | d->debugActions.append(DebugMenu(m))

## ◆ DEBUG_EndMenu

#define DEBUG_EndMenu | ( |  | m | ) | d->debugActions.append(DebugMenu(m->title() + QStringLiteral(" - end")))

## ◆ DEBUG_StartMenu

#define DEBUG_StartMenu | ( |  | m | ) | d->debugActions.append(DebugMenu(m->title() + QStringLiteral(" - start")))

## ◆ LPMIBI

#define LPMIBI | ( |  | IT,
|  |  | TXT ) m_actions[m] = menu->addAction(Icon_Utils::BarIcon(Icon_Utils::IT), TXT)

## ◆ LPMISI

#define LPMISI | ( |  | IT,
|  |  | TXT ) m_actions[m] = menu->addAction(Icon_Utils::SmallIcon(Icon_Utils::IT), TXT)

## Variable Documentation

## ◆ CHECKABLE

const bool CHECKABLE = true
| static